Summary: Maxima Symbolic Computation Program
Name: maxima

%global momorel 8
Version: 5.9.0
%global realver %{version}%{?rcver:rc%{rcver}}
Release: %{?rcver:0.%{rcver}.}%{momorel}m
License: GPL
Group: Applications/Engineering
URL: http://maxima.sourceforge.net/

%NoSource 0 http://osdn.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{realver}.tar.gz a1d6d6ed6afb0eebf03df865c0a19f19

Patch0: maxima-5.9.0-infodir.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: texinfo, tetex-latex, tetex-dvipsk
BuildRequires: clisp
BuildRequires: gcl >= 2.5.3-5m
Requires: maxima_exec = %{version}-%{release}

%description
Maxima is a full symbolic computation program.  It is full featured
doing symbolic manipulation of polynomials, matrices, rational
functions, integration, Todd-coxeter, graphing, bigfloats.  It has a
symbolic debugger source level debugger for maxima code.  Maxima is
based on the original Macsyma developed at MIT in the 1970's.  It is
quite reliable, and has good garbage collection, and no memory leaks.
It comes with hundreds of self tests.
#'

%package xmaxima
Summary: Tcl/Tk interface to Maxima
Group: Applications/Engineering
Requires: tk
Requires: %{name} = %{version}-%{release}
Provides: xmaxima

%description xmaxima
Tcl/Tk interface to Maxima.

%package exec_gcl
Summary: Maxima compiled with GCL
Group: Applications/Engineering
Requires: %{name} = %{version}-%{release}
Provides: maxima_exec

%description exec_gcl
Maxima compiled with Gnu Common Lisp.

%package exec_clisp
Summary: Maxima compiled with clisp
Group: Applications/Engineering
Requires: %{name} = %{version}-%{release}
Requires: clisp
Provides: maxima_exec

%description exec_clisp
Maxima compiled with clisp.

#%package exec_cmucl
#Summary: Maxima compiled with CMUCL
#Group: Applications/Engineering
#Requires: %{name} = %{version}-%{release}
#Requires: cmucl
#Provides: maxima_exec
#
#%description exec_cmucl
#Maxima compiled with CMUCL.

%prep
%setup -q -n %{name}-%{realver}

%patch0 -p1

%__cp interfaces/emacs/emaxima/emaxima.sty doc/maximabook

%build
CFLAGS=`echo %{optflags} | sed -e 's/-ffast-math//g'`
CXXFLAGS=`echo %{optflags} | sed -e 's/-ffast-math//g'`
%configure \
  --enable-clisp \
  --enable-gcl \
  --with-default-lisp=gcl
# --enable-cmucl
%__make
%__make check

(
  cd doc/maximabook
  %__make
)
(
  cd doc/intromax
  latex intromax.ltx
  dvips intromax.dvi
  pdflatex intromax.ltx
)

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%makeinstall

## copy info file for maxima.
%__mkdir_p %{buildroot}%{_datadir}/%{name}/%{realver}/info
%__install -m 0644 %{buildroot}%{_infodir}/maxima.info* \
  %{buildroot}%{_datadir}/%{name}/%{realver}/info

%__rm -rf %{buildroot}%{_datadir}/%{name}/%{realver}/emacs

## desktop
%__mkdir_p %{buildroot}%{_sysconfdir}/X11/applnk/Applications
%__cat > %{buildroot}%{_sysconfdir}/X11/applnk/Applications/xmaxima.desktop <<EOF
[Desktop Entry]
Name=XMaxima
Comment=Maxima
Exec=xmaxima
Terminal=0
Type=Application
Icon=/usr/share/maxima/5.9.0/xmaxima/maxima-icon.png
EOF

%__rm -f %{buildroot}%{_infodir}/dir

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/%{name}.info.* %{_infodir}/dir

%postun
/sbin/install-info --delete %{_infodir}/%{name}.info.* %{_infodir}/dir

%files
%defattr(-,root,root)
%doc doc/maximabook/maxima.ps doc/maximabook/maxima.pdf
%doc doc/intromax/intromax.ps doc/intromax/intromax.pdf
%{_bindir}/%{name}
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/%{realver}
%{_infodir}/%{name}.*
%{_mandir}/man1/*.1*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/%{realver}
%{_datadir}/%{name}/%{realver}/demo
%{_datadir}/%{name}/%{realver}/doc
%{_datadir}/%{name}/%{realver}/info
%{_datadir}/%{name}/%{realver}/share
%{_datadir}/%{name}/%{realver}/src
%{_datadir}/%{name}/%{realver}/tests

%files xmaxima
%defattr(-,root,root)
%{_sysconfdir}/X11/applnk/Applications/xmaxima.desktop
%{_bindir}/xmaxima
%{_datadir}/%{name}/%{realver}/xmaxima

%files exec_gcl
%defattr(-,root,root)
%{_libdir}/%{name}/%{realver}/binary-gcl

%files exec_clisp
%defattr(-,root,root)
%{_libdir}/%{name}/%{realver}/binary-clisp

#%files exec_cmucl
#%defattr(-,root,root)
#%{_libdir}/%{name}/%{realver}/binary-cmucl

%changelog
* Tue May  4 2004 Toru Hoshina <t@momonga-linux.org>
- (5.9.0-8m)
- rebuild against ncurses 5.3.

* Tue Mar 23 2004 Toru Hoshina <t@momonga-linux.org>
- (5.9.0-7m)
- revised spec for enabling rpm 4.2.

* Tue Dec 30 2003 Kenta MURATA <muraken2@nifty.com>
- (5.9.0-6m)
- copy info for ? command.

* Mon Dec 29 2003 Kenta MURATA <muraken2@nifty.com>
- (5.9.0-5m)
- %%NoSource.
- --enable-gcl and --with-default-lisp=gcl.
- includes some documents.

* Mon Dec 29 2003 Kenta MURATA <muraken2@nifty.com>
- (5.9.0-4m)
- --enable-gcl
- %%NoSource.

* Thu Mar  6 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.9.0-3m)
- fix URL
- add and tmp comment out loop BuildRequires: maxima-xmaxima

* Fri Feb 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (5.9.0-2m)
- [Momonga-devel.ja:01389] thanks.

* Tue Feb 11 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (5.9.0-1m)
  update to 5.9.0

* Thu Nov 14 2002 OZAWA -Crouton- Sakuro <crouton@momonga-linux.org>
- (5.9.0-0.3.1m)
- initial import to Momonga.

* Sun Sep  8 2002 James Amundson <amundson@fnal.gov> 
- Initial build.
